---
  - name: Add key for repository
    apt_key:
      url: https://www.postgresql.org/media/keys/ACCC4CF8.asc  
      state: present

  - name: Add repository
    apt_repository:        
      repo: deb http://apt.postgresql.org/pub/repos/apt {{ ansible_distribution_release }}-pgdg main
      state: present
      filename: postgresql

  - name: Install packeg
    apt:
      name:
      - libpq-dev
      - python3-pip
      - postgresql-11
      state: present
      update_cache: yes

  - name: Install psycopg2
    pip:
      name: psycopg2-binary
      state: present
